# encoding: utf-8
$:.unshift File.expand_path('../lib', __FILE__)
require 'devision/version'

Gem::Specification.new do |spec|

  # metadata
  spec.name          = 'devision'
  spec.version       = Devision::VERSION::STRING
  spec.authors       = ['John Faucett']
  spec.email         = ['jwaterfaucett@gmail.com']
  spec.summary       = 'Devise on a Diet'
  spec.license       = 'MIT'
  spec.require_paths = ['lib']
  spec.platform      = Gem::Platform::RUBY
  spec.post_install_message = File.read('./POST_INSTALL_MESSAGE')

  # files
  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = []
  spec.test_files    = spec.files.grep(%r{^(spec|features)/})
  spec.require_paths = ["lib"]

  # dependencies
  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.0.0'
  spec.add_runtime_dependency 'railties', '>= 3.2.6', '< 5'
  spec.add_runtime_dependency 'orm_adapter', '~> 0.5'
  spec.add_runtime_dependency 'bcrypt', '~> 3.1'
  spec.add_runtime_dependency 'thread_safe', '~> 0.3'

end
